Subject: bug#16331: 24.3.50; `dired-internal-do-deletions': "Deleting..." message

From: Drew Adams <[email-masked]>
Date: Sun, 9 Feb 2014 16:39:06 -0800 (PST)

> > `dired-internal-do-deletions' _first_, in its `let*'-form, calls
> > `make-progress-reporter', which shows the message "Deleting...".
> >
> > Only _after_ that, in the `let*'-body, does it call `dired-mark-
> > pop-up', which pops up the list of files and asks for confirmation.
> 
> Oh, I see.  I didn't know that `make-progress-reporter' itself
> messaged.  Then the solution seems to be to move that call closer to
> when it's actually deleting stuff.

I guess so, but you would need to test that that in fact DTRT.
I see that you closed the bug in the same breath.  Is this fixed then?